%global module_name xtend
Name:                nodejs-%{module_name}
Version:             4.0.1
Release:             1
Summary:             Extend like a boss
License:             MIT
URL:                 https://github.com/Raynos/xtend
Source0:             http://registry.npmjs.org/xtend/-/xtend-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(tape)

%description
xtend is a basic utility library which allows you to extend an object by
appending all of the properties from each object in a list. When there
are identical properties, the right-most property takes precedence.

%prep
%setup -q -n package
rm -rf node_modules
mv LICENCE LICENSE

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
node test.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Aug 12 2020 wangyue <wangyue92@huawei.com> - 4.0.1-1
- package init
